cdac.medinfo.ccd.datatype

## Class SLISTTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.SLISTTS

- All Implemented Interfaces:
    java.io.Serializable

      public class SLISTTS
      extends ANY

  Java class for SLIST_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SLIST_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <element name="origin" type="{urn:hl7-org:v3}TS"/>
               <element name="scale" type="{urn:hl7-org:v3}PQ"/>
               <element name="digits" type="{urn:hl7-org:v3}list_int"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLISTTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.math.BigInteger>` | `getDigits()` Gets the value of the digits property.
    `TS` | `getOrigin()` Gets the value of the origin property.
    `PQ` | `getScale()` Gets the value of the scale property.
    `void` | `setOrigin(TS value)` Sets the value of the origin property.
    `void` | `setScale(PQ value)` Sets the value of the scale property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLISTTS

          public SLISTTS()

  - ### Method Detail

    - #### getOrigin

          public TS getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `TS`

    - #### setOrigin

          public void setOrigin(TS value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `TS`

    - #### getScale

          public PQ getScale()

      Gets the value of the scale property.
      Returns:
        possible object is `PQ`

    - #### setScale

          public void setScale(PQ value)

      Sets the value of the scale property.
      Parameters:
        `value` - allowed object is `PQ`

    - #### getDigits

          public java.util.List<java.math.BigInteger> getDigits()

      Gets the value of the digits property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the digits property.

      For example, to add a new item, do as follows:

              getDigits().add(newItem);

      Objects of the following type(s) are allowed in the list `BigInteger`